<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myRuleIndentLabel" jhiTranslate="mpmApp.ruleIndent.home.createOrEditLabel">Create or edit a Rule Indent</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!ruleIndent.idRule">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="ruleIndent.idRule" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label mandatory" 
                        jhiTranslate="mpmApp.ruleHotItem.minDownPayment" 
                        for="field_minDownPayment">Min Down Payment</label> 
                    <input type="text" class="form-control" name="minDownPayment" 
                        currencyMask
                        required
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                        id="field_minDownPayment"
                        [(ngModel)]="ruleIndent.minPayment"  
                    />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.ruleIndent.dateFrom" for="field_datefrom">Date From</label>
                    <div class="input-group">
                        <p-calendar inputId="field_datefrom" name="input_datefrom" [(ngModel)]="ruleIndent.dateFrom" [showTime]="true" hourFormat="24" [showSeconds]="true" dateFormat="dd-mm-yy" [showIcon]="true" required></p-calendar>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.ruleIndent.dateThru" for="field_datethru">Date Thru</label>
                    <div class="input-group">
                        <p-calendar inputId="field_datethru" name="input_datethru" [(ngModel)]="ruleIndent.dateThru" [showTime]="true" hourFormat="24" [showSeconds]="true" dateFormat="dd-mm-yy" [showIcon]="true" required></p-calendar>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
